=== debian/changelog ===
gnumeric-pure (0.14-1) trusty; urgency=low

  * New upstream release

 -- Albert Graef <aggraef@gmail.com>  Wed, 17 Sep 2014 00:43:27 +0200

gnumeric-pure (0.13-1) trusty; urgency=low

  * New upstream release
  * Pass the -mcpu=generic option to llc when batch-compiling Pure
    scripts, to prevent illegal instructions depending on the build host's
    cpu type.

 -- Albert Graef <aggraef@gmail.com>  Mon, 15 Sep 2014 09:55:31 +0200

gnumeric-pure (0.12-2) natty; urgency=low

  * Missing build dependency (libgoffice-dev)

 -- Albert Graef <Dr.Graef@t-online.de>  Mon, 03 Dec 2012 20:29:15 +0100

gnumeric-pure (0.12-1) natty; urgency=low

  * New upstream release

 -- Albert Graef <Dr.Graef@t-online.de>  Mon, 11 Jun 2012 14:35:19 +0200

gnumeric-pure (0.11-2) natty; urgency=low

  * Rebuild with proper Gnumeric version

 -- Albert Graef <Dr.Graef@t-online.de>  Wed, 30 May 2012 17:45:01 +0200

gnumeric-pure (0.11-1) natty; urgency=low

  * Initial release

 -- Albert Graef <Dr.Graef@t-online.de>  Tue, 29 May 2012 20:02:47 +0200
