=== debian/control ===
Source: gnumeric-pure
Section: devel
Priority: extra
Maintainer: Albert Graef <aggraef@gmail.com>
Build-Depends: debhelper (>= 7.0.50~), pure, pure-dev, gnumeric-dev, libgoffice-0.8-dev, libgtkglext1-dev
Standards-Version: 3.9.1
Homepage: http://purelang.bitbucket.org

Package: gnumeric-pure
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, pure-gl
Description: Gnumeric plugin for the Pure programming language
 Pure is a modern-style functional programming language based on term
 rewriting. This package provides a Gnumeric extension which lets you use Pure
 functions in Gnumeric, the Gnome spreadsheet. It provides some powerful
 features not found in other Gnumeric scripting plugins, such as asynchronous
 data sources created from Pure streams and OpenGL rendering in Gnumeric frame
 widgets via Pure's OpenGL module.
